org.apache.solr.client.solrj.request.beans

## Class ClusterPropInfo.ClusterInfo

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.ClusterPropInfo.ClusterInfo

All Implemented Interfaces:
  MapSerializable, MapWriter, NavigableObject, ReflectMapWriter

Enclosing class:
  ClusterPropInfo

    public static class ClusterPropInfo.ClusterInfo
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`ClusterPropInfo.CollectionDefaults` `collection`
`Boolean` `useLegacyReplicaAssignment`

### Constructor Summary

Constructors
Constructor and Description
`ClusterInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Field Detail

#### useLegacyReplicaAssignment

    public Boolean useLegacyReplicaAssignment

#### collection

    public ClusterPropInfo.CollectionDefaults collection

### Constructor Detail

#### ClusterInfo

    public ClusterInfo()